{% extends 'base.html.twig' %}

{% block body %}
    <div class="col-lg-12">
        <h3>Liste Classes :</h3>
        <div class="col-lg-12">
            {% include '@SuperAdmin/classe/new.html.twig' %}
        </div>
    </div>
    <div class="col-lg-12 table-responsive">
        <table class="table table-striped table-rounded-radius"  >
            <thead>
            <tr align="center">
                <th>Actions</th>
                <th>Nom</th>
                <th>Email</th>
                <th>Specialite</th>
                <th>Nombre etudinats</th>
                <th>Nombre groupes</th>
            </tr>
            </thead>
            <tbody>
            {% if classes is empty %}
                <tr>
                    <td colspan="6">
                        <p>Il y a pas des données</p>
                    </td>
                </tr>
            {% else %}
                {% for classe in classes %}
                    <tr align="center">
                        <td>
                            <a class="btn btn-danger" data-toggle="modal" data-target="#deleteAdmin{{ classe.id }}" style="color: white"><i class="icon ion-md-trash"></i></a>
                            <a href="{{ path('su_classe_show', { 'id': classe.id }) }}" class="btn btn-info"><i class="fa fa-eye"></i></a>
                        </td>
                        <td>{{ classe.nom }}</td>
                        <td>{{ classe.email }}</td>
                        <td>{{ classe.specialite }}</td>
                        <td>{{ classe.etudiants | length }}</td>
                        <td>{{ classe.groupes | length }}</td>

                    </tr>
                    <div class="modal fade" id="deleteAdmin{{ classe.id }}" tabindex="-1" role="dialog" aria-labelledby="deleteAdmin" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title" id="exampleModalLabel">Etes-vous sûr que vous voulez supprimer?</h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Fermer</button>
                                    <a  class="btn btn-danger" href="{{ path('su_classe_delete', { 'id': classe.id }) }}" >Supprimer</a>
                                </div>
                            </div>
                        </div>
                    </div>

                {% endfor %}
            {% endif %}
            </tbody>
        </table>
        <nav class="navigation align-content-center">
            {{ knp_pagination_render(classes) }}
        </nav>
    </div>
{% endblock %}
